org.eclipse.emf.compare.internal.adapterfactory.context

## Class ContextUtil

- java.lang.Object
- - org.eclipse.emf.compare.internal.adapterfactory.context.ContextUtil

    public final class ContextUtil
    extends Object

Utility class for evaluating context testers in adapter factory descriptors.

Since:
  4.3

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `apply(ComposedAdapterFactory.Descriptor adapterFactoryDescriptor, Map<Object,Object> context)` Returns whether the adapter factory should be applied in the given context.
`static boolean` `isNullContext(Map<Object,Object> context)` Evaluates whether the given context is a null context, i.e., the context itself is null, it has no entries or all its values are null.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### apply

    public static boolean apply(ComposedAdapterFactory.Descriptor adapterFactoryDescriptor,
                                Map<Object,Object> context)

Returns whether the adapter factory should be applied in the given context.

Parameters:
  `adapterFactoryDescriptor` - the `ComposedAdapterFactory.Descriptor` containing the adapter factory and possibly a context tester
  `context` - the context
Returns:
  `false` if the descriptor's context tester indicates no responsibility for the given `comparison`, `true` otherwise.
See Also:
  `IContextTester.apply(Map)`

#### isNullContext

    public static boolean isNullContext(Map<Object,Object> context)

Evaluates whether the given context is a null context, i.e., the context itself is null, it has no entries or all its values are null.

Parameters:
  `context` - the context
Returns:
  `true` if the context is null, empty or all its values are null, `false` otherwise.